MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023346Community[OCCT] OCCT:Samplespublic2012-07-25 18:582012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023346: MSVC++ Error C2664: 'AIS_InteractiveObject::PolygonOffsets': conversion from 'Standard_Real' in 'Standard_ShortReal &'
DescriptionThe cast is invalid. The samples do not compile.
Affected are some files included in the MFC Samples.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023072closeddbv Open CASCADE Eliminate compiler warnings (level 3) on Windows / MSVC++ 

-  Notes
(0021152)
Pawel (developer)
2012-07-25 19:04

Corresponding git branch pushed. Please review.
(0021158)
dbv (developer)
2012-07-26 11:13

Reviewed without remarks, please test.
(0021164)
apn (administrator)
2012-07-26 17:58

Dear BugMaster,
The workbenches
KAS:dev:apn-23346-occt (GIT branch CR23346)
KAS:dev:apn-23346-products (GIT master)
were compiled on Linux and Windows (Windows 7, station PROGREX) platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-23346-products_26072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master e145d04c
Timestamp: 2012-07-27 12:52:37
Author: Pawel
Details ] Diff ]
0023346: MSVC++ Error C2664: 'AIS_InteractiveObject::PolygonOffsets': conversion from 'Standard_Real' in 'Standard_ShortReal &'

Changed Standard_Real to Standard_ShortReal.

Modify test case offset shape_type_i D6
mod - samples/mfc/standard/04_Viewer3d/src/OffsetDlg.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - tests/offset/shape_type_i/D6 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-25 18:58 Pawel New Issue
2012-07-25 18:58 Pawel Assigned To => Pawel
2012-07-25 18:59 Pawel Relationship added related to 0023072
2012-07-25 19:04 Pawel Note Added: 0021152
2012-07-25 19:04 Pawel Assigned To Pawel => bugmaster
2012-07-25 19:04 Pawel Status new => resolved
2012-07-25 19:09 abv Assigned To bugmaster => dbv
2012-07-25 19:50 Pawel Description Updated View Revisions
2012-07-26 11:13 dbv Note Added: 0021158
2012-07-26 11:13 dbv Assigned To dbv => Pawel
2012-07-26 11:13 dbv Status resolved => reviewed
2012-07-26 17:58 apn Note Added: 0021164
2012-07-26 17:58 apn Test case number => Not needed
2012-07-26 17:58 apn Assigned To Pawel => bugmaster
2012-07-26 17:58 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master e145d04c
2012-07-30 16:31 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:31 Pawel Status tested => verified
2012-07-30 16:31 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker